# Configure a SUNET CDN mqtt server
class cdn::mqtt(
  String $dc = '',
  Array[String] $clients = [],
  Hash[String, Hash] $bridges = {},
)
{
  package {'mosquitto': ensure => installed }

  file { '/etc/mosquitto/aclfile':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('cdn/mqtt/aclfile.erb'),
  }

  file { '/etc/mosquitto/conf.d/cdn.conf':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('cdn/mqtt/cdn.conf.erb'),
  }
}
